## org.apache.solr.client.solrj.request
Enum AbstractUpdateRequest.ACTION

    java.lang.Object
      java.lang.Enum<AbstractUpdateRequest.ACTION>
          org.apache.solr.client.solrj.request.AbstractUpdateRequest.ACTION

All Implemented Interfaces:
  Serializable, Comparable<AbstractUpdateRequest.ACTION>

Enclosing class:
  AbstractUpdateRequest

    public static enum AbstractUpdateRequest.ACTION

extends Enum<AbstractUpdateRequest.ACTION>

Enum Constant Summary
`COMMIT`
`OPTIMIZE`

Method Summary
`static AbstractUpdateRequest.ACTION` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractUpdateRequest.ACTION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMIT

    public static final AbstractUpdateRequest.ACTION COMMIT

### OPTIMIZE

    public static final AbstractUpdateRequest.ACTION OPTIMIZE

Method Detail

### values

    public static AbstractUpdateRequest.ACTION[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractUpdateRequest.ACTION c : AbstractUpdateRequest.ACTION.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractUpdateRequest.ACTION valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null